{
    attributes = (
        {
            columnName = "ADR_ORDRE"; 
            externalType = NUMBER; 
            name = adrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "AGT_ORDRE"; 
            externalType = NUMBER; 
            name = agtOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_ORDRE"; 
            externalType = NUMBER; 
            name = cptOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "FOU_CODE"; 
            externalType = VARCHAR2; 
            name = fouCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "FOU_DATE"; 
            externalType = DATE; 
            name = fouDate; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "FOU_ETRANGER"; 
            externalType = VARCHAR2; 
            name = fouEtranger; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FOU_MARCHE"; 
            externalType = VARCHAR2; 
            name = fouMarche; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FOU_TYPE"; 
            externalType = VARCHAR2; 
            name = fouType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FOU_VALIDE"; 
            externalType = VARCHAR2; 
            name = fouValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fouOrdre, persId, fouCode); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOFournis"; 
    classProperties = (
        fouCode, 
        fouDate, 
        fouMarche, 
        fouValide, 
        fouType, 
        dCreation, 
        dModification, 
        cptOrdre, 
        fouEtranger, 
        persId, 
        toIndividus, 
        toRibs, 
        toStructures, 
        toAdresse, 
        toUtilisateur, 
        toCompte, 
        toValideFournis
    ); 
    externalName = "GRHUM.FOURNIS_ULR"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            fouCode, 
            fouDate, 
            fouMarche, 
            fouValide, 
            fouType, 
            fouEtranger, 
            cptOrdre, 
            persId, 
            dModification, 
            dCreation, 
            toIndividus, 
            toRibs, 
            toStructures, 
            toAdresse, 
            toCompte, 
            toUtilisateur, 
            toValideFournis
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlpersonne.common.metier.EOFournis"; 
    }; 
    name = "Fwkpers_Fournis"; 
    primaryKeyAttributes = (fouOrdre); 
    relationships = (
        {
            destination = "Fwkpers_Adresse"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrOrdre; }); 
            name = toAdresse; 
        }, 
        {
            destination = "Fwkpers_Compte"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cptOrdre; sourceAttribute = cptOrdre; }); 
            name = toCompte; 
        }, 
        {
            destination = "Fwkpers_Individu"; 
            internalInfo = {"_nameInObjectStore" = sTIndividuUlrs; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toIndividus; 
        }, 
        {
            destination = "Fwkpers_Rib"; 
            internalInfo = {"_nameInObjectStore" = sTRibfourUlrs; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = fouOrdre; sourceAttribute = fouOrdre; }); 
            name = toRibs; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            internalInfo = {"_nameInObjectStore" = sTStructureUlrs; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toStructures; 
        }, 
        {
            destination = "FwkDroitsUtils_Utilisateur"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = agtOrdre; }); 
            name = toUtilisateur; 
        }, 
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "Fwkpers_ValideFournis"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fouOrdre; sourceAttribute = fouOrdre; }); 
            name = toValideFournis; 
            ownsDestination = Y; 
            propagatesPrimaryKey = Y; 
        }
    ); 
}
